Subject: Re: bug#57379: GUI toolkit for Guile 3.0?

From: Jessica Tallon <[email-masked]>
Date: Wed, 24 Aug 2022 14:29:43 +0200

Lee Thomas <[email-masked]> writes:

> Hi. I hope I'm submitting this correctly; please tell me if I'm wrong. I'm
> trying to at least prototype a GUI in the same way that in Python I can
> write "import gi" and proceed to create a GTK window, add buttons and
> menubars and toolbars, etc. I've tried the various online  sites, but none
> of them have succeeded for me even with "use-modules", so I'm thinking
> they've not been updated for Guile 3.0 yet. And that's fine; I understand
> the massive effort involved. I would actually like to know if one of the
> projects is slated to move forward, so I can volunteer to help. And I don't
> care if that toolkit is for GTK or some other platform.
>
> For my environment, I'm running guile 3.0.8 under the latest guix, and I've
> done upgrades, but I admit to being a guix n00b. I have guix running atop
> Ubuntu 22.04, if that's relevant.
>
> I will assume that I should report my problems with guix installing the
> various toolkit packages not here, but to a guix mailing list.
>
> Finally, if there's no GUI toolkit for Guile coming anytime soon, then I
> can write my app in C and link Guile into it. I've done the linking
> successfully several times for other projects. But it would be really nice
> to have a simple Guile script that launches a GUI, just as I can have a
> simple Python script do the same. The rest of my app's code is in Guile
> Scheme.
>
> Thanks in advance, but I hope to follow up.

Hello,

I've tested making some basic GTK guis with the `guile-gi` package. It
might be worth taking a look at that. The project is located on
Github[1], it's also packaged for Gnu Guix.

Hope that helps.

Thanks,
Jessica.

[1] - https://github.com/spk121/guile-gi

-- 
Thanks,
Jessica.